# Hyrule

A card game for 2-7 players.

## requirements

Use a standard card playing deck, keeping Jokers. Shuffle however
you like.

## dealing

Each player is dealt 7 cards, kept secret from other players.

## turns

There are two variations for taking turns. "Chance rules" is
strictly a matter of chance, and is recommended for impatient
players because it tends to be faster-paced and has more of a
*surprise!* element. "Strategy rules" introduces an element of
strategy and is better suited for players with more _patience_.

### chance rules

Each player selects one card and places it face down in the middle
playing area between themselves and other players.

On the count of 3, all said together in rhythm, each player flips
over their own card. Precedence applies and the winning player
takes all cards.

### strategy rules

On the first turn or when an equal number of cards have been
captured by each player, the tallest player goes first. On each
subsequent turn, the player with the most captured cards plays
first. The play order then proceeds counter-clockwise.

When taking one's turn, the player may choose to either *play* or
*swap*.

#### strategy *play*

When choosing to *play*, the player selects a card and places it
face-up in the center play area. The remaining players take turns
counter-clockwise, each placing a card face-up in the center play
area. Precedence rules apply and the winning player takes all
cards.

#### strategy *swap*

When choosing to *swap*, the player discards one card face-up in
the discard pile (next to the stock pile) and then draws a card
from the stock, which should be laying face-down. The goal here may
be to take a chance at getting a better card than one is
discarding, or to force the next player in the rotation to play, or
both.

> **NOTE**: a player may only choose to *swap* if the player on the
> previous turn _did not swap_.

## precedence

The following rules apply across suits with the exception of
*jokers and fives* (explained below). Cards within a single suit
are compared with higher-value cards winning.  Cards are counted
from ace (1) through king (13).

Ways to think about these rules could include:

- "rupee buys bomb" / money buys weapon
- "rupee buys sword" / money buys weapon
- "bomb blows up sword" / range weapon beats melee weapon
- "bomb blows up heart" / range weapon beats unarmed
- "sword cuts through heart" / melee weapon beats unarmed
- "heart is stronger than rupee" / love conquers money

**NOTE:** In the case of a turn that involves 3 or more cards, the
presence of both diamonds *and* hearts will result in the
highest-value heart winning the turn.

### diamonds ("rupees")

Beats:

- clubs ("bombs")
- spades ("swords")

### clubs ("bombs")

Beats:

- spades ("swords")
- hearts

### spades ("swords")

Beats:

- hearts

### hearts

Beats:

- diamonds ("rupees")

### jokers ("tingles")

Beats everything except *fives*

### fives

The 5 of a given suit will be granted special status *only* when
played against a joker ("tingle") and will win with the following
sub-precedence, which is roughly the inverse of the main
precedence:

- 5 of hearts
- 5 of spades / "master sword"
- 5 of clubs / "bomb cluster"
- 5 of diamonds / "blue rupee"

## scoring

At the conclusion of a round of 7 cards, the player with the most
cards is the winner. The face values of the cards are not
considered at scoring time. A draw may be handled in a "run-off
game" or ignored as you like.

## examples

In the following examples, the **winning card** is highlighted at
the top of each list, followed by an explanation for the outcome.

### 2-player

- **2 of clubs**
- 2 of spades

Clubs are higher-value than spades, or "bomb beats sword".

---

- **2 of clubs**
- ace of clubs

Cards within the same suit are compared at face value with aces
being *1*. 

---

- **ace of hearts**
- king of diamonds

Hearts take precedence over diamonds, or "love is stronger than
money".

---

- **joker**
- king of hearts

The opposing card is not a *five*, or "tingle takes _(thing)_".

---

- **5 of spades**
- joker

The 5 of any suit will beat a joker given its special item status
in that scenario, or "tingle is distracted by the beauty of
_(thing)_".

### 3-player

- **2 of diamonds**
- 2 of clubs
- 2 of spades

Diamonds have higher precedence than clubs and spades, and there
are no hearts present.

---

- **6 of clubs**
- 6 of spades
- 6 of hearts

Clubs have higher precedence than spades and hearts, and there are
no diamonds present.

---

- **8 of hearts**
- 8 of diamonds
- 8 of spades

When both diamonds and hearts are present, hearts is highest
precedence.

---

- **king of diamonds**
- jack of diamonds
- queen of diamonds

Within the same suit, cards are compared by face value.
